import 'package:dio/dio.dart';
import 'package:blacknet/request.dart';
// Serialize
class Serialize {
  String endpoint;
  Request request;
  Serialize(this.endpoint){
    this.request = new Request();
  }

  Future<Body> transfer(FormData form) async {
    return this.request.postForm(this.endpoint + '/api/v2/serialize/transfer', form);
  }

  Future<Body> lease(FormData form) async {
    return this.request.postForm(this.endpoint + '/api/v2/serialize/lease', form);
  }

  Future<Body> cancelLease(FormData form) async {
    return this.request.postForm(this.endpoint + '/api/v2/serialize/cancellease', form);
  }
}